﻿using PushApi.Act.BLL;
using PushApi.Act.Models.Send;
using PushApi.Act.Models.Trial;
using PushPlatform.Common.Model;
using PushPlatform.Common.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace PushPf.Api.Controllers
{
    /// <summary>
    /// 
    /// </summary>
    public class SendController : ApiController
    {
        /// <summary>
        /// 系统主动调用发送任务,数据来源外部
        /// </summary>
        /// <param name="valModel">ProCfg_Id必须传输</param>
        /// <returns></returns>
        [HttpPost]
        public HttpResponseMessage PushOfExternal(PushValModel valModel)
        {
            HttpStatusCode statusCode = HttpStatusCode.OK;
            BaseResponse<string> model = new BaseResponse<string>();
            try
            {
                if (string.IsNullOrEmpty(valModel.ProCfgId) || string.IsNullOrEmpty(valModel.UserId))
                {
                    model.DetailedStatus = DetailedStatusCode.Fail;
                    model.DetailedMessage = "配置不能为空";
                    return Request.CreateResponse(statusCode, model);
                }
                model = new OutProcessTaskBLL().SendPushOfExternal(valModel);
            }
            catch (Exception ex)
            {
                LogHelper.Error(ex);
                model.DetailedStatus = DetailedStatusCode.Fail;
                model.DetailedMessage = "异常，请联系管理员";
            }
            return Request.CreateResponse(statusCode, model);
        }
    }
}